Bug 1566271 - SELinux restricting pppd from `ppox_socket` create, connect, ioctl
Summary: SELinux restricting pppd from `ppox_socket` create, connect, ioctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 23:21 UTC by Andrew Siplas
Modified: 2018-04-19 22:07 UTC (History)
7 users (show)

Fixed In Version: selinux-policy-3.14.1-21.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566096
Environment:
Last Closed: 2018-04-19 22:07:30 UTC
Type: Bug


Attachments (Terms of Use)
Log detailing NetworkManager / pppd vs. SELinux (8.47 KB, text/plain)
2018-04-11 23:21 UTC, Andrew Siplas
no flags Details

Description Andrew Siplas 2018-04-11 23:21:20 UTC
Created attachment 1420578 [details]
Log detailing NetworkManager / pppd vs. SELinux

+++ This bug was initially created as a clone of Bug #1566096 +++

Similar to #1566096 (SELinux and tclass=pppox_socket)

After fresh install NetworkManager is not able to make a pppoe connection, details attached but basically boiled down to these 3 impediments:

type=AVC msg=audit(1523483166.492:9677): avc:  denied  { create } for  pid=31352 comm="pppd" scontext=system_u:system_r:pppd_t:s0 tcontext=system_u:system_r:pppd_t:s0 tclass=pppox_socket permissive=0
type=AVC msg=audit(1523483825.500:9714): avc:  denied  { connect } for  pid=31961 comm="pppd" scontext=system_u:system_r:pppd_t:s0 tcontext=system_u:system_r:pppd_t:s0 tclass=pppox_socket permissive=0
type=AVC msg=audit(1523484462.308:9837): avc:  denied  { ioctl } for  pid=32737 comm="pppd" path="socket:[265234]" dev="sockfs" ino=265234 ioctlcmd=0x7437 scontext=system_u:system_r:pppd_t:s0 tcontext=system_u:system_r:pppd_t:s0 tclass=pppox_socket permissive=0

Comment 1 Fedora Update System 2018-04-16 11:34:56 UTC
selinux-policy-3.14.1-21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1148ada2a3

Comment 2 Fedora Update System 2018-04-17 03:04:03 UTC
selinux-policy-3.14.1-21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1148ada2a3

Comment 3 Fedora Update System 2018-04-19 22:07:30 UTC
selinux-policy-3.14.1-21.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.